package org.skduemu.controller;

import org.skduemu.service.FilesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.Resource;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/files")
@CrossOrigin(origins = "*")
public class FilesController {

    @Autowired
    private FilesService filesService;

    @GetMapping
    public ResponseEntity<?> getFiles(){return filesService.getFilenames();}

    @GetMapping(value = "/{name}")
    public ResponseEntity<Resource> getFile(@PathVariable("name") String name){return filesService.getFile(name);}
}
