package org.skduemu.controller;

import org.skduemu.service.GitService;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/git")
@CrossOrigin(origins = "*")
public class GitController {

    @Autowired
    private GitService gitService;

    @PatchMapping(value = "/checkout-branch/{branch}/create-new-branch/{created}/force-ref-update/{updated}")
    public ResponseEntity<?> checkoutToBranch(@PathVariable("branch") String branch, @PathVariable("created") boolean created, @PathVariable("updated") boolean updated){
        return gitService.checkoutToBranch(branch, created, updated);
    }

    @GetMapping(value = "/pull")
    public ResponseEntity<?> gitPull(){
        return gitService.gitPull();
    }

}
