package org.skduemu.controller;

import org.skduemu.DTO.MqttClientDTO;
import org.skduemu.service.MqttService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/mqtt")
@CrossOrigin(origins = "*")
public class MqttController {

    @Autowired
    private MqttService mqttService;

    @GetMapping(value = "/subscribe")
    public ResponseEntity<?> registerClients(@RequestBody MqttClientDTO mqttClientDTO){return mqttService.registerClients(mqttClientDTO);
    }

    @PostMapping(value = "/disconnect")
    public ResponseEntity<?> disconnect(){ return mqttService.disconnectClient(); }

    @PostMapping(value = "/publish/clientId/{clientId}")
    public ResponseEntity<?> publish(@PathVariable("clientId") String clientId){
        return mqttService.publish(clientId);
    }
}

