package org.skduemu.entity;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.Socket;
import java.util.stream.Collectors;

public class TCPClient {

    private String host;
    private int port;

    public TCPClient(String host, int port) throws IOException {
        this.host = host;
        this.port = port;
    }

    private final Socket socket = new Socket(host, port);

    public void sendMessage(String message){
        try
        {
            socket.getOutputStream().write(message.getBytes());
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            System.out.println(bufferedReader.lines().collect(Collectors.joining("\n")));
            socket.close();
            System.out.println("Client send message : " + message);
        }
        catch (Exception e){
            e.printStackTrace();
        }
    }
    public void socketClose(){
        try{
            socket.close();
        }
        catch (Exception e){
            e.printStackTrace();
        }
    }
}
