package org.skduemu.service;

import org.skduemu.entity.Telemetry;
import org.skduemu.repository.TelemetryRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class TelemetryService {

    @Autowired
    TelemetryRepository telemetryRepository;

    private final Logger log = LoggerFactory.getLogger(this.getClass().getName());

    public ResponseEntity<?> getDevices(){
        try {
            List<Telemetry> telemetries = new ArrayList<>();
            telemetryRepository.findAll().forEach(telemetries::add);
            return new ResponseEntity<>(telemetries, HttpStatus.OK);
        }
        catch (Exception e){
            log.info(e.getMessage());
            return new ResponseEntity<>(new ArrayList<>(), HttpStatus.NOT_FOUND);
        }
    }
}
