package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementWrapper;
import jakarta.xml.bind.annotation.XmlRootElement;

import java.util.ArrayList;
import java.util.List;

@XmlRootElement(name = "event")
@XmlAccessorType(XmlAccessType.FIELD)
public class Event {

    @XmlAttribute(name = "urn")
    private String urn;

    @XmlElement(name = "URL")
    private String url;

    @XmlElement(name = "subscription")
    private List<Subscription> subscription;

    @XmlElement(name = "variableName")
    private String variableName;

    @XmlElement(name = "ALL")
    private String all;

    @XmlElement(name = "key")
    private String key = "1000";
    
//    @XmlElementWrapper(name = "variableName")
//    private List<VariableName> variableNames;

    @XmlElementWrapper(name = "propertySet")
    private List<VariableName> propertySet = new ArrayList<>();
    
    public List<VariableName> getPropertySet() {
		return propertySet;
	}

	public void setPropertySet(List<VariableName> propertySet) {
		this.propertySet = propertySet;
	}

	public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

//    public List<VariableName> getVariableNames() {
//        return variableNames;
//    }
//
//    public void setVariableNames(List<VariableName> variableNames) {
//        this.variableNames = variableNames;
//    }

    public String getUrn() {
        return urn;
    }

    public void setUrn(String urn) {
        this.urn = urn;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public List<Subscription> getSubscription() {
        return subscription;
    }

    public void setSubscription(List<Subscription> subscription) {
        this.subscription = subscription;
    }

    public String getVariableName() {
        return variableName;
    }

    public void setVariableName(String variableName) {
        this.variableName = variableName;
    }

    public String getAll() {
        return all;
    }

    public void setAll(String all) {
        this.all = all;
    }
}
