package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.*;

import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class StateVariable {
    @XmlAttribute(name = "sendEvents")
    private String sendEvents;

    @XmlElement(name = "name")
    private String name;

    @XmlElement(name = "friendlyName")
    private String friendlyName;

    @XmlElement(name = "dataType")
    private String dataType;

    @XmlElement(name = "defaultValue")
    private String defaultValue;

    @XmlElementWrapper(name = "allowedValueList")
    @XmlElement(name = "allowedValue")
    private List<AllowedValue> allowedValueList;

    @XmlElement(name = "allowedValueRange")
    private AllowedValueRange allowedValueRange;

    @XmlElementWrapper(name = "struct")
    @XmlElement(name = "stateVariable")
    private List<StateVariable> struct;

    @XmlElementWrapper(name = "list")
    @XmlElement(name = "stateVariable")
    private List<StateVariable> list;

    public AllowedValueRange getAllowedValueRange() {
        return allowedValueRange;
    }

    public void setAllowedValueRange(AllowedValueRange allowedValueRange) {
        this.allowedValueRange = allowedValueRange;
    }

    public List<StateVariable> getStruct() {
        return struct;
    }

    public void setStruct(List<StateVariable> struct) {
        this.struct = struct;
    }

    public List<StateVariable> getList() {
        return list;
    }

    public void setList(List<StateVariable> list) {
        this.list = list;
    }

    public String getSendEvents() {
        return sendEvents;
    }

    public void setSendEvents(String sendEvents) {
        this.sendEvents = sendEvents;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFriendlyName() {
        return friendlyName;
    }

    public void setFriendlyName(String friendlyName) {
        this.friendlyName = friendlyName;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public List<AllowedValue> getAllowedValueList() {
        return allowedValueList;
    }

    public void setAllowedValueList(List<AllowedValue> allowedValueList) {
        this.allowedValueList = allowedValueList;
    }

//    @Override
//    public String toString(){
//        StringBuilder sb = new StringBuilder();
//        sb.append("<stateVariable sendEvents=" + sendEvents + "> \n");
//        sb.append("     <name>" + name + "/<name> \n");
//        sb.append("     <friendlyName>" + friendlyName + "/<friendlyName> \n");
//        sb.append("     <dataType>" + dataType + "/<dataType> \n");
//        sb.append("     <defaultValue>" + defaultValue + "/<defaultValue> \n");
//        for(AllowedValue allowedValue : allowedValueList){
//            sb.append(allowedValue);
//        }
//        sb.append("     </stateVariable> \n");
//        return sb.toString();
//    }
}
